import 'package:http/browser_client.dart';
import 'package:http/http.dart' as http;
import 'package:fotodocumentation/utils/http_client_factory_stub.dart';

HttpCLientFactory getHttpClientFactory() =>  HttpClientFactoryWeb();

class HttpClientFactoryWeb extends HttpCLientFactory{
  @override
  http.Client createHttpClient() {
    var client = http.Client();
    (client as BrowserClient).withCredentials = true;
    return client;
  }
}